## org.apache.lucene.analysis.ja
Class JapanesePartOfSpeechStopFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.FilteringTokenFilter
                      org.apache.lucene.analysis.ja.JapanesePartOfSpeechStopFilter

All Implemented Interfaces:
  Closeable

    public final class JapanesePartOfSpeechStopFilter

extends org.apache.lucene.analysis.FilteringTokenFilter

Removes tokens that match a set of part-of-speech tags.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`JapanesePartOfSpeechStopFilter(boolean enablePositionIncrements, org.apache.lucene.analysis.TokenStream input, Set<String> stopTags)`

Method Summary
`protected boolean` `accept()`

Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter
`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JapanesePartOfSpeechStopFilter

    public JapanesePartOfSpeechStopFilter(boolean enablePositionIncrements,
                                          org.apache.lucene.analysis.TokenStream input,
                                          Set<String> stopTags)

Method Detail

### accept

    protected boolean accept()
                      throws IOException

  Specified by:
    `accept` in class `org.apache.lucene.analysis.FilteringTokenFilter`
  Throws:
    `IOException`